cURL
curl --request POST \
--url https://gateway.7exchange.io/ipg/1.0.0/payment/pay-with-token \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'organizationId: <organizationid>' \
--header 'tenantId: <tenantid>' \
--header 'walletId: <walletid>' \
--data '
{
"amount": 123,
"currency": "<string>",
"organizationId": "<string>",
"registrationId": "<string>",
"merchantTransactionId": "<string>",
"cardCvv": "<string>",
"terminalId": "<string>",
"destinationId": "<string>",
"merchantRedirectUrl": "<string>",
"orderType": "<string>",
"sourceId": "<string>",
"createdBy": "<string>",
"customerId": "<string>"
}
'import requests
url = "https://gateway.7exchange.io/ipg/1.0.0/payment/pay-with-token"
payload = {
"amount": 123,
"currency": "<string>",
"organizationId": "<string>",
"registrationId": "<string>",
"merchantTransactionId": "<string>",
"cardCvv": "<string>",
"terminalId": "<string>",
"destinationId": "<string>",
"merchantRedirectUrl": "<string>",
"orderType": "<string>",
"sourceId": "<string>",
"createdBy": "<string>",
"customerId": "<string>"
}
headers = {
"organizationId": "<organizationid>",
"walletId": "<walletid>",
"tenantId": "<tenantid>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
organizationId: '<organizationid>',
walletId: '<walletid>',
tenantId: '<tenantid>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
amount: 123,
currency: '<string>',
organizationId: '<string>',
registrationId: '<string>',
merchantTransactionId: '<string>',
cardCvv: '<string>',
terminalId: '<string>',
destinationId: '<string>',
merchantRedirectUrl: '<string>',
orderType: '<string>',
sourceId: '<string>',
createdBy: '<string>',
customerId: '<string>'
})
};
fetch('https://gateway.7exchange.io/ipg/1.0.0/payment/pay-with-token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"reason": "<string>",
"path": "<string>",
"method": "<string>",
"message": "<string>",
"timestamp": "<string>",
"status": 123
}"<unknown>"Merchant API
Post payment pay with token
POST
/
payment
/
pay-with-token
cURL
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
⌘I

